Page MenuHomePhabricator

trwiki_p.page_assessments and trwiki_p.page_assessments_projects missing on replicas
Closed, ResolvedPublic

Description

We recently deployed MediaWiki-extensions-PageAssessments to trwiki (T184969). The tables and data are all there in production, but they aren't on the replicas.

Both page_assessments and page_assessments_projects are configured in maintain-views.yaml.

The same tables for enwiki and enwikivoyage are being replicated.

FYI we're also going to be deploying Page Assessments to a few other wikis in the near future, namely arwiki (T185023) and frwiki (T153393).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2018, 7:02 PM
MusikAnimal renamed this task from trwiki.page_assessments missing on replicas to trwiki_p.page_assessments missing on replicas.Apr 4 2018, 7:02 PM
MusikAnimal edited projects, added Cloud-Services; removed Data-Services.
MusikAnimal edited projects, added Data-Services; removed Cloud-Services.
bd808 added a subscriber: bd808.Apr 4 2018, 9:51 PM
(u3518@trwiki.analytics.db.svc.eqiad.wmflabs) [trwiki_p]> describe page_assessments;
+------------------+------------------+------+-----+---------+-------+
| Field            | Type             | Null | Key | Default | Extra |
+------------------+------------------+------+-----+---------+-------+
| pa_page_id       | int(10) unsigned | NO   |     | NULL    |       |
| pa_project_id    | int(10) unsigned | NO   |     | NULL    |       |
| pa_class         | varbinary(20)    | YES  |     | NULL    |       |
| pa_importance    | varbinary(20)    | YES  |     | NULL    |       |
| pa_page_revision | int(10) unsigned | NO   |     | NULL    |       |
+------------------+------------------+------+-----+---------+-------+
5 rows in set (0.00 sec)
(u3518@trwiki.web.db.svc.eqiad.wmflabs) [trwiki_p]> describe page_assessments;
ERROR 1146 (42S02): Table 'trwiki_p.page_assessments' doesn't exist

Mentioned in SAL (#wikimedia-operations) [2018-04-04T21:53:12Z] <bd808> Wiki replicas: ran sudo maintain-views --table page_assessments --database trwiki on all 3 servers for T191455

(u3518@trwiki.analytics.db.svc.eqiad.wmflabs) [trwiki_p]> describe page_assessments;
+------------------+------------------+------+-----+---------+-------+
| Field            | Type             | Null | Key | Default | Extra |
+------------------+------------------+------+-----+---------+-------+
| pa_page_id       | int(10) unsigned | NO   |     | NULL    |       |
| pa_project_id    | int(10) unsigned | NO   |     | NULL    |       |
| pa_class         | varbinary(20)    | YES  |     | NULL    |       |
| pa_importance    | varbinary(20)    | YES  |     | NULL    |       |
| pa_page_revision | int(10) unsigned | NO   |     | NULL    |       |
+------------------+------------------+------+-----+---------+-------+
5 rows in set (0.00 sec)
(u3518@trwiki.web.db.svc.eqiad.wmflabs) [trwiki_p]> describe page_assessments;
ERROR 1146 (42S02): Table 'trwiki_p.page_assessments' doesn't exist

I'm guessing you meant this in the opposite order, because indeed I see page_assessments now! Thank you :)

We also need page_assessments_projects. Sorry, should have put that in the title.

MusikAnimal renamed this task from trwiki_p.page_assessments missing on replicas to trwiki_p.page_assessments and trwiki_p.page_assessments_projects missing on replicas.Apr 4 2018, 9:55 PM
bd808 closed this task as Resolved.Apr 4 2018, 9:57 PM
bd808 claimed this task.
bd808 added a subscriber: Bstorm.

We also need page_assessments_projects. Sorry, should have put that in the title.

{{done}}

@Bstorm is working on a full run of maintain-views across all wikis and tables, so that should catch any other wikis where the tables exist but the views do not yet.


@MusikAnimal, when y'all add new tables to other wikis we will need a ping to know to run the maintenance script again. Currently we do not have any automatic job to do this or to look for tables without views.

@bd808 Hope it's OK to ping you here! We've now deployed to arwiki, if you could kindly run the script for it? :)

frwiki and huwiki will happen probably later this week.

Mentioned in SAL (#wikimedia-operations) [2018-04-10T15:06:19Z] <bd808> Wiki replicas: ran sudo maintain-views --table page_assessments --database arwiki on all 3 servers for T191455

bd808 moved this task from Inbox to Done on the cloud-services-team (Kanban) board.May 6 2018, 6:47 PM